Eclipse Platform Release 3.7

## org.eclipse.ui.texteditor
Class AbstractTextEditor.IdMapEntry

    java.lang.Object
      org.eclipse.ui.texteditor.AbstractTextEditor.IdMapEntry

Enclosing class:
  AbstractTextEditor

    protected static final class AbstractTextEditor.IdMapEntry

extends Object

Maps an action definition id to an StyledText action.

Since:
  2.0

Constructor Summary
`AbstractTextEditor.IdMapEntry(String actionId, int action)` Creates a new mapping.

Method Summary
`int` `getAction()` Returns the action.
`String` `getActionId()` Returns the action id.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractTextEditor.IdMapEntry

    public AbstractTextEditor.IdMapEntry(String actionId,
                                         int action)

  Creates a new mapping.

  Parameters:
    `actionId` - the action id
    `action` - the StyledText action

Method Detail

### getActionId

    public String getActionId()

  Returns the action id.

  Returns:
    the action id

### getAction

    public int getAction()

  Returns the action.

  Returns:
    the action

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.